Skip to content

Case Replay

  • Endpoint: POST /aggregate-pay/api/gateway/caseReplay
  • Tags: Chargeback Service

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
spMerchantNostringNoMerchant ID of ISV service provider
dataobjectYesCase information
data.batchIdstringNomaxLength: 64Case batch number, which must be filled in for batch reply, and must be blank for single reply
data.caseIdstringNomaxLength: 64Case number, which must be filled in for single reply, and must be blank for batch reply.
data.outUserIdstringYesmaxLength: 64User ID
data.responseContentstringYesmaxLength: 256Merchant reply contents
data.representmentFilearray[string]YesEach file path in the file list shall end with filename.extension. No Chinese characters or special symbols are allowed. Supported formats: PNG, JPG, ZIP, DOC, XLS, PDF. It is recommended to name files using case ID for easy traceability. Complete URL examples:["http://xxx/O20211118090801.ZIP", "http://xxx/O202111118090802.PDF"]
versionstringYesAPI version. Current value: 1.5
keyVersionstringYesSignature Algorithm Version, Current value: 1
requestTimestringYesRequest time, compliant with rfc3339 specification, format: yyyy-MM-dd'T'HH:mm:ss.SSSXXX The time must be within two minutes of the current time
appIdstringYesMerchant AppId,The unique identifier assigned to the merchant app by PayerMax
merchantNostringNomaxLength: 32Merchant Id, the unique identifier generated when the merchant signs the contract with PayerMax

Example

json
{
  "version": "1.4",
  "keyVersion": "1",
  "requestTime": "{{requestTime}}",
  "appId": "127d5de5b5124d11b9132c6ec9cc61d3",
  "merchantNo": "010113864671194",
  "spMerchantNo": "",
  "data": {
    "batchId": "",
    "caseId": "O20230608124011368140006803",
    "outUserId": "uft_user_1686228003452",
    "responseContent": "测试文件地址",
    "representmentFile": [
      "https://img6.bdstatic.com/img/image/public/imgcopyright_index1.jpg"
    ]
  }
}

Responses

200

FieldTypeRequiredConstraintsDescriptionEnum
dataobjectYescase data
data.successCaseIdsarray[string]No
data.failCaseIdsarray[string]No
codestringYesReturn code, ‘APPLY_SUCCESS’ means success
msgstringYesReturn message, ‘Success.’

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.